#!/bin/sh

# Copyright 2017, 2021 Bob Proulx <bob@proulx.com>
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without any warranty.

test -e /sys/class/backlight/intel_backlight/brightness || exit 0

max_brightness=$(cat /sys/class/backlight/intel_backlight/max_brightness)
brightness=$(cat /sys/class/backlight/intel_backlight/brightness)
increment=$((max_brightness / 20))
case $1 in
  up)
    new=$(($brightness + $increment))
    if [ $new -ge $max_brightness ]; then
      new=$max_brightness
    fi
    ;;
  down)
    new=$(($brightness - $increment))
    if [ $new -le 150 ]; then
      new=150
    fi
    ;;
esac

echo $new > /sys/class/backlight/intel_backlight/brightness

exit 0
